//
// C++ Interface: kbibgroupviewgroup
//
// Description: 
//
//
// Author: Thach Nguyen <thach.nguyen@rmit.edu.au>, (C) 2006
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef KBIBGROUPVIEWITEM_H
#define KBIBGROUPVIEWITEM_H

#include <qlistview.h>
#include <klistview.h>
#include "bibentrytable.h"
#include <qobject.h>

/**
	@author Thach Nguyen <thach.nguyen@rmit.edu.au>
*/
class KBibGroupViewItem : public KListViewItem
{
//	Q_OBJECT
	public:
		KBibGroupViewItem(QString value, QListViewItem *parent = 0);
		KBibGroupViewItem(QString value, QListView *parent = 0);
		~KBibGroupViewItem();
	
		void addEntry(BibEntry *entry);
		BibentryTable *getEntryTable(void) { return m_list;}
		void clear();
		virtual void paintCell(QPainter* p, const QColorGroup& cg, int column, int width, int align);
	private:
		BibentryTable *m_list;
		QString value;	

};
#endif
